Skip to main content
`Ctrl`+`K`

# STFilterSetDamping

Sets the type of damping to be used in the polynomial filter.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STFilterSetDamping(ST st,STFilterDamping damping)

Logically Collective

## Input Parameters

- st - the spectral transformation context

- damping - the type of damping

## Options Database Key

- -st_filter_damping <damping> - sets the type of damping

## Note

Only used in `ST_FILTER_CHEBYSHEV` filters.

## See Also

ST: Spectral Transformation, `STFILTER`, `STFilterGetDamping()`

## Level

advanced

## Location

src/sys/classes/st/impls/filter/filter.c

## Implementations

STFilterSetDamping_Filter() in src/sys/classes/st/impls/filter/filter.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages